MetaPlatho API
Two requests: send the file with the operation, then fetch the result. The interactive page needs JavaScript; the full reference is also available as static documentation.
Two requests
curl -s https://metaplatho.com/api/v1/jobs/upload -H "X-Api-Key: <YOUR_API_KEY>" \
-F [email protected] -F service_slug=photoconvert -F operation_key=compress \
-F 'params={"quality":70}'
# -> 201 {"id":"<job_id>","status":"processing"}
curl -s "https://metaplatho.com/api/v1/jobs/<job_id>" -H "X-Api-Key: <YOUR_API_KEY>"
# -> {"status":"done","result":{"output_url":"https://...","outputs":[...]}}